Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452528 - gdm ignores /etc/gdm/custom.conf and starts X server for :0
Summary: gdm ignores /etc/gdm/custom.conf and starts X server for :0
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 14
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 450478 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-23 15:24 UTC by Adam Tkac
Modified: 2013-04-30 23:40 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 20:06:02 UTC


Attachments (Terms of Use)
my /etc/gdm/custom.conf (deleted)
2008-06-23 15:26 UTC, Adam Tkac
no flags Details

Description Adam Tkac 2008-06-23 15:24:41 UTC
Description of problem:
gdm ignores /etc/gdm/custom.conf and starts X server for :0 even server for :0
is explicitly disabled

Version-Release number of selected component (if applicable):
$ rpm -q gdm
gdm-2.22.0-5.fc9.i386

How reproducible:
always

Steps to Reproduce:
1. use attached configuration file
2. look on "ps afx" output that gdm starts server for :0
  
Actual results:
server running

Expected results:
configuration is honored and server not running for :0

Additional info:
when I compiled gdm from F8 branch and used it on that machine all works as
expected. (I only changed RemoteGreeter=/usr/libexec/gdm-simple-greeter to
RemoteGreeter=/usr/libexec/gdmgreeter). Also remote logins from vnc (see bug
#450478 for more info) are badly broken.

Comment 1 Adam Tkac 2008-06-23 15:26:21 UTC
Created attachment 310037 [details]
my /etc/gdm/custom.conf

Comment 2 Adam Tkac 2008-06-26 18:19:02 UTC
*** Bug 450478 has been marked as a duplicate of this bug. ***

Comment 3 Jason Long 2008-07-29 23:48:29 UTC
I am also negatively impacted by this bug...

In a previous release of Fedora, I modified /etc/gdm/custom.conf to start two X
servers (I have a multiseat config). The relevant config looked like this:

>>>

[servers]
0=Seat0
1=Seat1

[server-Seat0]
name=Standard server
command=/usr/bin/X0 -layout Seat0
flexible=false

[server-Seat1]
name=Standard server
command=/usr/bin/X1 -novtswitch -sharevts -layout Seat1
flexible=false

<<<

With Fedora 9, that config is completely ignored, and I only get one X server
start up. I'd call this a pretty severe *regression*. My computer is only half
as useful when only one screen lights up.

Is it possible to revert to an earlier version of gdm?

Comment 4 Jan "Yenya" Kasprzak 2008-10-31 12:45:47 UTC
Any news with this bug? Can gdm be used in a multi-seat environment at all? Currently there is no suitable display manager for multi-seat environment: xdm has problems with SELinux (fortunately it is being worked on), and gdm cannot start two X servers at all?

Comment 5 Jason Long 2008-11-30 20:51:04 UTC
For those following this bug who, like me, are interested in multi-seat environments, some of the following links may be interesting.


http://blog.chris.tylers.info/index.php?/archives/153-Multiseat-for-F11!.html

https://fedoraproject.org/wiki/Features/Multiseat

http://mail.gnome.org/archives/gdm-list/2008-October/msg00018.html

Comment 6 QingLong 2009-01-11 12:56:37 UTC
The problem actually is much bigger and the reason is much deeper.
The reason seats in the heads of Fedora developers:
they are trying to turn *nix OS into micro$oft-like lamer-friendly bullshit.
This is going everywhere in the distribution,
the system is not controlled by the user anymore,
instead the system tries to lecture user what he should want to do.
Looks like Fedora (or RedHat?) headquarters is located in Redmond now.

Comment 7 Bug Zapper 2009-06-10 01:44:37 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Jan "Yenya" Kasprzak 2009-06-11 14:23:54 UTC
The problem still persists in F11, please somebody change the Version: tag of this bug to F11.

Comment 9 stef 2009-06-15 07:28:33 UTC
I confirm the problem, the custom configuration in /etc/gdm/custom.conf is completely ignored in FC11 while running OK under FC8

My config is very simple I just add this :


[greeter]

IncludeAll=false


But I still have the whole user list which is bad for what I try to do.

Comment 10 stef 2009-06-15 07:58:56 UTC
When I read the following http://library.gnome.org/admin/gdm/2.26/configuration.html  I assume that now only the [chooser] and [daemon]  keys are supported in custom.conf... (is that so ?)

And when I start  gconf-editor to modify the /apps/gdm/simple-greeter/disable_user_list  key and set it to True it is still ignored, I can still see the users list.

So what's wrong with GDM ?

Comment 11 stef 2009-06-15 08:10:09 UTC
I found a solution  using the such :

gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --type bool --set /apps/gdm/simple-greeter/disable_user_list true

what is the gconf-editor solution (it is given everywhere even in the gnome documentation) if it is usefull only for the current user (namely root) and therefore does not actually apply to GDM ?

Comment 12 Gregory Lee Bartholomew 2009-06-19 21:01:54 UTC
I too have found that setting

[daemon]
VTAllocation=false

[xdmcp]
Enable=true

[servers]
0=inactive

in /etc/gdm/custom.conf does not disable the allocation of a local virtual terminal in Fedora 11 and would like to see this problem corrected.

Comment 13 Charlweed Hymerfan 2009-10-23 23:40:58 UTC
OUCH!
I was trying for hows to get this to behave as according to the documentation, now I find its a GDM bug.
Looks like KDM as the same bug. This in pretty basic functionality to ommit.

Comment 14 Bug Zapper 2010-04-27 12:07:30 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 15 Adam Tkac 2010-04-27 12:52:59 UTC
Would it be possible to tell us if this issue is going to be solved, please? Or this feature is going to be completely abandoned.

Changing version to rawhide.

Comment 16 Charlweed Hymerfan 2010-04-27 15:05:05 UTC
Iy can work around this pretty well by using KDM:

http://bugs.kde.org/show_bug.cgi?id=101163
So basically its the Documentation that is wrong, and the fact that a useless
softlink is created in the /etc/kde/kdm directory. 

Put a blank in StaticServers, set ServerAttempts=0 , ServerCmd=/bin/true, and
remove all X-:0- sections.

See:
https://bugzilla.redhat.com/show_bug.cgi?id=530660

Hfor how to get KDM to work, then, if you want, you can use KDM to start Gnome as your desktop.

Comment 17 Bug Zapper 2010-07-30 10:32:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 18 Samuel Sieb 2010-10-01 21:44:05 UTC
According to the gdm reference manual:
GDM 2.20 and earlier supported stable configuration interfaces. However, the codebase was completely rewritten for GDM 2.22, and is not completely backward compatible with older releases.

A lot of the functionality is gone.  Hopefully, they are still planning on adding it back.

Comment 19 Fedora Admin XMLRPC Client 2011-06-21 15:33:02 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 20 Fedora Admin XMLRPC Client 2011-06-21 15:36:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 21 Fedora Admin XMLRPC Client 2011-06-21 15:37:38 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 22 Fedora Admin XMLRPC Client 2011-06-21 15:40:54 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 23 Fedora Admin XMLRPC Client 2011-06-21 15:50:26 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 24 Fedora Admin XMLRPC Client 2011-06-21 15:52:59 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 25 Fedora Admin XMLRPC Client 2011-06-21 15:55:28 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 26 Fedora Admin XMLRPC Client 2011-06-21 15:56:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 27 Fedora End Of Life 2012-08-16 20:06:08 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.